/*!-------------------------------------------------------------------------------------------------
 - #%L                                                                                            -
 - chvote-common-theme                                                                            -
 - %%                                                                                             -
 - Copyright (C) 2016 - 2018 République et Canton de Genève                                       -
 - %%                                                                                             -
 - This program is free software: you can redistribute it and/or modify                           -
 - it under the terms of the GNU Affero General Public License as published by                    -
 - the Free Software Foundation, either version 3 of the License, or                              -
 - (at your option) any later version.                                                            -
 -                                                                                                -
 - This program is distributed in the hope that it will be useful,                                -
 - but WITHOUT ANY WARRANTY; without even the implied warranty of                                 -
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                   -
 - GNU General Public License for more details.                                                   -
 -                                                                                                -
 - You should have received a copy of the GNU Affero General Public License                       -
 - along with this program. If not, see <http://www.gnu.org/licenses/>.                           -
 - #L%                                                                                            -
 -------------------------------------------------------------------------------------------------*/

@import '~@angular/material/theming';

$chvote-palette: (
  50 : #e1f5fe,
  100 : #c7d7e4,
  200 : #a0c4e4,
  300 : #7da3c1,
  400 : #618fb3,
  500 : #457ba6,
  600 : #3e739e,
  700 : #366895,
  800 : #2e5e8b,
  900 : #1f4b7b,
  A100 : #b8d8ff,
  A200 : #85bcff,
  A400 : #52a1ff,
  A700 : #3893ff,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #000000,
    400 : #000000,
    500 : #ffffff,
    600 : #ffffff,
    700 : #ffffff,
    800 : #ffffff,
    900 : #ffffff,
    A100 : #000000,
    A200 : #000000,
    A400 : #000000,
    A700 : #000000,
  )
);

$chvote-primary: mat-palette($chvote-palette, 500, 200);
$chvote-accent: mat-palette($mat-deep-orange, 500, A100, A400);
$chvote-warn: mat-palette($mat-red, 600, 50, 800);

$chvote-theme: mat-light-theme($chvote-primary, $chvote-accent, $chvote-warn);
